Search found 229 matches

by rych
19 Sep 2021, 05:56
Forum: x86_64 xzm module requests
Topic: perl-tk compatible with perl [Solved]
Replies: 5
Views: 1163

perl-tk compatible with perl [Solved]

ncmprhnsbl , Thank you! Works great, and I can now even do, tlmgr gui -font "18" -- scaling up the font in my application which means fonts are handled nicely. Except, n the Ctrl-Alt-F1 console the FreeType: complains it couldn't find DejaVu Sans-ExtraLight.ttf which is indeed trimmed from the port...
by rych
18 Sep 2021, 08:09
Forum: x86_64 xzm module requests
Topic: perl-tk compatible with perl [Solved]
Replies: 5
Views: 1163

perl-tk compatible with perl [Solved]

Help again is needed with this please: the old perl-tk module doesn't work with 5.0rc3 and the one I tried to convert from another distro results in a very small, (system?) bitmap fonts -- I'm astonished to even see such fonts included somewhere in my system. So I'm asking for someone please to buil...
by rych
18 Aug 2021, 17:28
Forum: General chat
Topic: init: Id "x1" respawning too fast
Replies: 12
Views: 2288

init: Id "x1" respawning too fast

ncmprhnsbl , Blaze , why does the /var folder needs to be persistent at all? It doesn't appear to have anything important in it to keep between boot sessions which could not be instantaneously reproduced each boot, and seems to accumulate junk from booting into different computers etc. The log file...
by rych
14 Aug 2021, 06:02
Forum: General chat
Topic: init: Id "x1" respawning too fast
Replies: 12
Views: 2288

init: Id "x1" respawning too fast

ncmprhnsbl, sleep 4 works. Blaze, your solution I didn't test, sorry. Because babam's solution works too and feels better as intuitively this must be a leftover from a previous session, so rc.local_shutdown seemed a better place to fix it. Thanks everyone.
by rych
08 Aug 2021, 07:46
Forum: x86_64 xzm modules
Topic: Multilib Lite
Replies: 2
Views: 1681

Multilib Lite

Thank you: this module still works on 5.0 rc3 wine-6.14-x86_64 and enables one to actually run wine and winecfg. Otherwise only wine64 works which is enough (?) for 64-bit Windows programs. I activate this multilib module only when I need to run 32-bit windows programs or the winecfg.
by rych
06 Aug 2021, 10:00
Forum: x86_64 xzm module requests
Topic: texstudio
Replies: 6
Views: 765

texstudio

That ArchLinuix package extracted and dir2xzm'ed actually works after I downloaded (using getpkg) just 2 missing dependencies: hunspell and quazip (hm!?). I'll be testing to see if it works as expected.
by rych
05 Aug 2021, 10:21
Forum: x86_64 xzm module requests
Topic: texstudio
Replies: 6
Views: 765

texstudio

ncmprhnsbl , thanks for your help. Before compiling from source I'm going to try every available build. For example, Arch Linux already has a binary: https://archlinux.pkgs.org/rolling/archlinux-community-x86_64/texstudio-3.1.2-1-x86_64.pkg.tar.zst.html Apart from chasing dependencies one would onl...
by rych
04 Aug 2021, 06:30
Forum: x86_64 xzm module requests
Topic: texstudio
Replies: 6
Views: 765

texstudio

I'd like to install texstudio 3.1.2 on my 5.0rc3 64 OpenBox. Texstudio is a great environment for writing Latex. The texstudio-3.1.2-1.1.x86_64.rpm from openSUSE Tumbleweed is missing dependencies on my system: root@porteus:~# texstudio texstudio: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.29' ...
by rych
03 Aug 2021, 07:59
Forum: x86_64 xzm module requests
Topic: qpdfview
Replies: 2
Views: 316

qpdfview

ncmprhnsbl , using your new modules, qpdfview now starts successfully - thank you qt5-base-5.15.2-x86_64_10-alldesktops.xzm qpdfview-qt5-0.4.1-8-x86_64-openbox.xzm .tgz extension tells me you must have built them from source? Also I already have the following modules (common?) that came as dependen...
by rych
01 Aug 2021, 07:29
Forum: x86_64 xzm module requests
Topic: qpdfview
Replies: 2
Views: 316

qpdfview

I've tried to build a qpdfview-0.4.18 module for 5.0rc3 64 OpenBox. I use https://pkgs.org/ openSUSE Tumbleweed which seemed to have all the packages needed, then rpm2xzm and activated each module poppler-21.07.0-x86_64-1.xzm -- this one from getpkg libpoppler-qt5-1-21.07.0-6.2.x86_64.xzm qpdfview-0...
by rych
31 Jul 2021, 06:28
Forum: Intermediate/Advanced User Questions
Topic: VAAPI Video Acceleration on Intel Graphics: i965 vs iHD
Replies: 8
Views: 609

VAAPI Video Acceleration on Intel Graphics: i965 vs iHD

ncmprhnsbl , Thank you so much for helping me here and in other threads. This now works without any error messages and vainfo is happy. I hope other software that wants to use the (still rather weak?) Intel Graphics chip for hardware acceleration will be happy too. For older Intel CPU-GPU I guess t...
by rych
30 Jul 2021, 15:57
Forum: General chat
Topic: init: Id "x1" respawning too fast
Replies: 12
Views: 2288

init: Id "x1" respawning too fast

I confirm this problem remains in 5.0 rc3. I'm also on Openbox ext4 partition. (Perhaps unrelated, but every now and then at shutdown it prints a message that next time I need to use fsck cheatcode. I now always boot with fsck, it's so fast anyway, I wonder if it actually checks anything) michalpels...
by rych
29 Jul 2021, 07:21
Forum: Intermediate/Advanced User Questions
Topic: VAAPI Video Acceleration on Intel Graphics: i965 vs iHD
Replies: 8
Views: 609

i965_drv_video.so init failed

ncmprhnsbl , your module seems to work, at least the error message goes away. But I also have to (re)define an environment variable, LIBVA_DRIVER_NAME=iHD , -- I wish this were done automatically for me, root@porteus:~# vainfo bash: vainfo: command not found root@porteus:~# /opt/FreeTube/freetube -...
by rych
28 Jul 2021, 14:33
Forum: Intermediate/Advanced User Questions
Topic: VAAPI Video Acceleration on Intel Graphics: i965 vs iHD
Replies: 8
Views: 609

i965_drv_video.so init failed

ncmprhnsbl , thanks, will try tomorrow and might need a vainfo command from libva-utils package (?) to validate and see that. Could you point me to a module with vainfo in it? (Actually, I have a fundamental question: how do you guys make those modules when getpkg doesn't have it? So that I don't h...
by rych
28 Jul 2021, 07:58
Forum: Intermediate/Advanced User Questions
Topic: VAAPI Video Acceleration on Intel Graphics: i965 vs iHD
Replies: 8
Views: 609

VAAPI Video Acceleration on Intel Graphics: i965 vs iHD

When I start a FreeTube from console it prints a message below libva error: /usr/lib64/dri/i965_drv_video.so init failed That's on the new Intel i5-10500 which uses an Integrated Intel UHD Graphics 630 chipset. I think FreeTube (and others) will be trying to use that GPU for accelerated rendering, d...